<?php

/**
 * 非开发者用户的签名工具。
 */
class ACUserSignature {
	/**
	 * 非开发者用户的签名工具。
	 * @param $user ACUser对象，表示要计算其签名的用户。
	 * @param $timestamp 此次签名所示使用的时间戳。是以秒为单位的UTC时间。
	 * @param $timeout 此次签名的有效时长（以秒为单位）。表示该签名在自$timestamp时刻起的$timeout秒之内有效。
	 * @param $nonce 此次签名所使用的随机字符串。
	 */
	public static function signature($user, $timestamp, $timeout, $nonce) {
		return sha1($timeout . $timestamp . $nonce . $user->getToken());
	}
}