<?php

/**
 * 空气质量数据结构。
 */
class ACAQI {
    /**
     * 字符串，是空气质量测量值对应的时间。
     * 对应最新空气质量值的时间格式为"yyyy-MM-dd HH:mm:ss"。
     * 对应最近几天的空气质量值的时间格式为"yyyy-MM-dd"。
     * 对应最近几小时的空气质量值的时间格式为"yyyy-MM-dd HH"。
     */
    public $timestamp;
    /// 整数，空气质量指标值。
    public $AQI;
    /// 整数，空气质量指标的最小值。
    public $minAQI;
    /// 整数，空气质量指标的最大值。
    public $maxAQI;

    /**
     * 从关联数组对象构造ACAQI对象。
     * @param $obj  array   保存了空气质量信息的对象。
     * @return      ACAQI   ACAQI对象或者NULL。
     */
    public static function fromObject($obj) {
        if (!is_array($obj))
            return NULL;
        $aqi = new ACAQI();
        if (array_key_exists('timestamp', $obj)) {
            $aqi->timestamp = $obj['timestamp'];
        }
        if (array_key_exists('aqi', $obj)) {
            $aqi->AQI = intval($obj['aqi']);
        }
        if (array_key_exists('min', $obj)) {
            $aqi->minAQI = intval($obj['min']);
        }
        if (array_key_exists('max', $obj)) {
            $aqi->maxAQI = intval($obj['max']);
        }
        return $aqi;
    }
}