<?php

require_once(dirname(__FILE__) . '/ACQECount.php');
require_once(dirname(__FILE__) . '/ACQECountUnique.php');
require_once(dirname(__FILE__) . '/ACQEDistribution.php');

/**
 * AbleCloud数据分析服务。
 */
class ACAnalysisMgr extends ACService {
    /**
     * 构造函数。
     * @param $name		string		AbleCloud数据分析服务的名字。
     * @param $version	int			AbleCloud数据分析服务的主版本号。
     * @param $context	ACContext	表示访问该远程服务所依赖的环境信息。
     */
    function __construct($name, $version, $context) {
        parent::__construct($name, $version, $context);
    }

    /**
     * 取ACQECount对象。
     * @return ACQECount    ACQECount对象。
     */
    public function count() {
        return new ACQECount($this->getName(), $this->getVersion(), $this->getContext());
    }

    /**
     * 取ACQECountUnique对象。
     * @return ACQECountUnique  ACQECountUnique对象。
     */
    public function countUnique() {
        return new ACQECountUnique($this->getName(), $this->getVersion(), $this->getContext());
    }

    /**
     * 取ACQEDistribution对象。
     * @return ACQEDistribution  ACQEDistribution对象。
     */
    public function distribution() {
        return new ACQEDistribution($this->getName(), $this->getVersion(), $this->getContext());
    }
}