<?php

/**
 * AbleCloud开发者。
 */
class ACDeveloper {
	/**
	 * 构造函数。
	 * @param $id           int     开发者帐号的ID。
	 * @param $accessKey    string  开发者AK/SK密钥对中的AccessKey。
	 * @param $secretKey    string  开发者AK/SK密钥对中的SecretKey。
	 */
	function __construct($id, $accessKey, $secretKey) {
		$this->id = $id;
		$this->accessKey = $accessKey;
		$this->secretKey = $secretKey;
	}

	/**
	 * 取开发者的ID。
	 * @return  int 返回一个整数，表示开发者的ID。
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * 取开发者的AK/SK密钥对中的AccessKey。
	 * @return  string  返回一个字符串表示AccessKey。
	 */
	public function getAccessKey() {
		return $this->accessKey;
	}

	/**
	 * 取开发者的AK/SK密钥对中的SecretKey。
	 * @return  string  返回一个字符串表示SecretKey。
	 */
	public function getSecretKey() {
		return $this->secretKey;
	}

	private $id;
	private $accessKey;
	private $secretKey;
}