<?php

/**
 * 设备信息。
 */
class ACDevice {
	/**
	 * 构造函数。
	 * @param $deviceId		int		设备的逻辑ID。整数。
	 * @param $physicalId	string	设备的物理ID。字符串。
	 * @param $name			string	设备的名字。
	 * @param $ownerId		int		设备的管理员用户的ID。整数。
	 * @param $aesKey		string	设备的AES密钥。字符串。
	 * @param $gatewayId	int		设备所属的网关的设备逻辑ID。整数。
	 * @param $subDomainId	int		设备所属的子域的ID。整数。
	 * @param $rootId		int		整数，设备的RootId。
	 * @param $status		int		整数，在线状态：0-不在线；1-在线。
	 * @param $subDomain	string	字符串，是设备所属的子域的名字。
	 */
	function __construct($deviceId, $physicalId, $name = '', $ownerId = 0, $aesKey = '', $gatewayId = 0, $subDomainId = 0, $rootId = 0, $status = 0, $subDomain = '') {
		$this->deviceId   = $deviceId;
		$this->physicalId = $physicalId;
		$this->name       = $name;
		$this->ownerId    = $ownerId;
		$this->aesKey     = $aesKey;
		$this->gatewayId  = $gatewayId;
		$this->subDomainId = $subDomainId;
		$this->rootId     = $rootId;
		$this->status     = $status;
		$this->subDomain  = $subDomain;
		$this->userIds	  = array();
	}

	public function getId() {
		return $this->deviceId;
	}

	public function getPhysicalId() {
		return $this->physicalId;
	}

	public function getName() {
		return $this->name;
	}

	public function getOwnerId() {
		return $this->ownerId;
	}

	public function getAesKey() {
		return $this->aesKey;
	}

	public function getGatewayId() {
		return $this->gatewayId;
	}

	public function getSubDomainId() {
		return $this->subDomainId;
	}

	public function getSubDomainName() {
		return $this->subDomain;
	}

	public function getRootId() {
		return $this->rootId;
	}

	public function getStatus() {
		return $this->status;
	}

	public function setUserIds($userIds) {
		$this->userIds = $userIds;
	}

	public function getUserIds() {
		return $this->userIds;
	}

	private $deviceId;
	private $physicalId;
	private $name;
	private $ownerId;
	private $aesKey;
	private $gatewayId;
	private $subDomainId;
	private $rootId;
	private $status;
	private $subDomain;
	private $userIds;			// 设备的用户的ID列表。
}