<?php

/**
 * 房间。
 */
class ACRoom {
    public $name;       /// 字符串，“房间”的名字。
    public $ownerId;    /// 整数，管理员用户的ID。
    public $homeId;     /// 整数，“房间”所属的“家”的ID。
    public $roomId;     /// 整数，“房间”的ID。该ID由云端分配。

    /**
     * 构造函数。
     * @param $name 字符串，是“房间”的名字。
     * @param $ownerId 整数，是管理员用户的ID。
     * @param $homeId 整数，是“房间”所属“家”的ID。
     * @param $roomId 整数，是“房间”的ID。
     */
    function __construct($name, $ownerId = 0, $homeId = 0, $roomId = 0) {
        $this->name = $name;
        $this->ownerId = $ownerId;
        $this->homeId  = $homeId;
        $this->roomId  = $roomId;
    }
}

/**
 * 家。
 */
class ACHome {
    public $name;       /// 字符串，“家”的名字。
    public $ownerId;    /// 整数，管理员用户的ID。
    public $homeId;     /// 整数，“家”的ID。该ID由云端分配。

    /**
     * 构造函数。
     * @param $name 字符串，是“家”的名字。
     * @param $ownerId 整数，是管理员用户的ID。
     * @param $homeId 整数，是“家”对象的ID。
     */
    function __construct($name, $ownerId = 0, $homeId = 0) {
        $this->name = $name;
        $this->ownerId = $ownerId;
        $this->homeId  = $homeId;
    }
}