<?php

/**
 * 推送的消息。
 */
class ACNotification {
	public $title;		// 字符串。标题。
	public $content;	// 字符串。
	public $vibrate;	// 布尔值。是否震动提示。
	public $lights;		// 布尔值。是否灯光提示。
	public $sound;		// 布尔值。是否声音提示。
	public $openType;	// 整数。
	public $url;		// 字符串。
	public $activity;	// 字符串。
	public $userData;	// 关联数组。

	/**
	 * 构造函数。
	 */
	function __construct() {
		$this->title = '';
		$this->content = '';
		$this->vibrate = FALSE;
		$this->lights = FALSE;
		$this->sound = TRUE;
		$this->openType = 0;
		$this->url = '';
		$this->activity = '';
		$this->userData = array();
	}

	/**
	 * 将本对象编码成JSON格式的字符串。
	 * @return string 返回JSON格式的字符串。
	 */
	public function jsonEncode() {
		return json_encode(array(
			'Title'    => $this->title,
			'Content'  => $this->content,
			'Vibrate'  => $this->vibrate,
			'Lights'   => $this->lights,
			'Sound'    => $this->sound,
			'OpenType' => $this->openType,
			'Url'      => $this->url,
			'Activity' => $this->activity,
			'UserData' => $this->userData
		));
	}
}