<?php

/**
 * PM2.5数据结构。
 */
class ACPM25 {
    /**
     * 字符串，是PM2.5测量值对应的时间。
     * 对应最新PM2.5值的时间格式为"yyyy-MM-dd HH:mm:ss"。
     * 对应最近几天的PM2.5值的时间格式为"yyyy-MM-dd"。
     * 对应最近几小时的PM2.5值的时间格式为"yyyy-MM-dd HH"。
     */
    public $timestamp;
    /// 整数，PM2.5的平均值。
    public $avg;
    /// 整数，PM2.5的最小值。
    public $min;
    /// 整数，PM2.5的最大值。
    public $max;

    /**
     * 从关联数组对象构造ACPM25对象。
     * @param $obj  array   保存了PM2.5信息的对象。
     * @return      ACPM25  ACPM25对象或者NULL。
     */
    public static function fromObject($obj) {
        if (!is_array($obj))
            return NULL;
        $pm = new ACPM25();
        if (array_key_exists('timestamp', $obj)) {
            $pm->timestamp = $obj['timestamp'];
        }
        if (array_key_exists('value', $obj)) {
            $pm->avg = intval($obj['value']);
        }
        if (array_key_exists('min', $obj)) {
            $pm->min = intval($obj['min']);
        }
        if (array_key_exists('max', $obj)) {
            $pm->max = intval($obj['max']);
        }
        return $pm;
    }
}