<?php
/**
 * AbleCloud数据分析服务的时间区间参数。
 */
class ACQETimeInterval {
    /// @name 时间单位。
    //@{
    public static $Unit_Second  = 'seconds';    ///< 秒
    public static $Unit_Minute  = 'minutes';    ///< 分钟
    public static $Unit_Hour    = 'hours';      ///< 小时
    public static $Unit_Day     = 'days';       ///< 天
    public static $Unit_Week    = 'weeks';      ///< 周
    public static $Unit_Month   = 'months';     ///< 月
    public static $Unit_Year    = 'years';      ///< 年
    //@}

    /**
     * 构造函数。
     * @param $n    int     正整数，是时间数量。
     * @param $unit string  时间单位，ACQETimeInterval::$Unit_Second，ACQETimeInterval::$Unit_Minute，……，ACQETimeInterval::$Unit_Year等。
     */
    function __construct($n, $unit) {
        $this->interval = 'every_' . strval($n) . '_' . $unit;
    }

    /**
     * 将对象转为AC-QueryEngine接受的参数格式。
     * @return string   以字符串记录的时间间隔参数。
     */
    public function toParamInArray() {
        return $this->interval;
    }

    private $interval;
}
