<?php

/**
 * APP端定时任务。
 */
class ACTimerTask {
    // 由用户提供的参数
    public $name;           ///< 字符串，是任务的名字。
    public $description;    ///< 字符串，任务的描述信息。
    public $timePoint;      ///< DateTime对象，表示初次执行该任务的时间。周期任务的周期执行时间也以此时间为基准。
    public $timeCycle;      ///< 字符串，表示该任务的定时规则：
                            ///<      once - 单次执行任务；
                            ///<      min  - 每隔一分钟执行一次；
                            ///<      hour - 每隔一小时执行一次；
                            ///<      day  - 每隔一天执行一次；
                            ///<      month - 每隔一个月执行一次；
                            ///<      year - 每隔一年执行一次；
                            ///<      week - 指定每周的某一天或某几天执行一次。如[0,1,2,3,4,5,6]表示周日至周六每天都执行一次；[1,3,6]表示每周一、周三、周六各执行一次。每天执行的时间以ACTimerTask.timePoint指定的时间（忽略年-月-日）为准。
    public $userId;         ///< 整数，表示定义该任务的用户的ID。
    public $deviceId;       ///< 整数，表示该任务要操作的设备的逻辑ID。
    public $messageCode;    ///< 整数，表示执行该任务时，要发送给设备的消息码。
    public $message;        ///< 以string对象存储的，将于执行该任务时发送给设备的二进制数据。
    public $taskFlag;       ///< 整数，标记是使用云端定时还是使用设备端定时：0-云端定时（任务由云端定时器驱动）；1-设备端定时（任务由设备端的定时器驱动）。

    // 由云端分配的参数
    public $taskId;         ///< 整数，表示任务的ID。该ID由云端分配。
    public $status;         ///< 整数，表示任务的状态：0 - 已停止；1 - 已启动；2 - 已冻结。
    public $createTime;     ///< DateTime对象，表示任务的创建时间。
    public $modifyTime;     ///< DateTime对象，表示任务的修改时间。
}